Index: stylesheets/xhtml/lfs-legalnotice.xsl
===================================================================
--- stylesheets/xhtml/lfs-legalnotice.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
+++ stylesheets/xhtml/lfs-legalnotice.xsl	(revision 8df9f6385334fa18b32aebc0a2988a5ebc7bef94)
@@ -34,5 +34,12 @@
                       <xsl:text>../index.html</xsl:text>
                     </xsl:attribute>
-                    <xsl:text>Home</xsl:text>
+                    <xsl:attribute name="title">
+                      <xsl:value-of select="/book/bookinfo/title"/>
+                      <xsl:text> - </xsl:text>
+                      <xsl:value-of select="/book/bookinfo/subtitle"/>
+                    </xsl:attribute>
+                    <xsl:call-template name="navig.content">
+                      <xsl:with-param name="direction" select="'home'"/>
+                    </xsl:call-template>
                   </a>
                 </li>
Index: stylesheets/xhtml/lfs-navigational.xsl
===================================================================
--- stylesheets/xhtml/lfs-navigational.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
+++ stylesheets/xhtml/lfs-navigational.xsl	(revision 8df9f6385334fa18b32aebc0a2988a5ebc7bef94)
@@ -27,13 +27,13 @@
         <xsl:if test="$home != .">
           <div class="headertitles">
-            <p>
+            <h4>
               <xsl:apply-templates select="$home" mode="object.title.markup"/>
               <xsl:text> - </xsl:text>
               <xsl:apply-templates select="$home" mode="object.subtitle.markup"/>
-            </p>
+            </h4>
             <xsl:if test="$up != $home">
-              <p><b>
+              <h3>
                 <xsl:apply-templates select="$up" mode="object.title.markup"/>
-              </b></p>
+              </h3>
             </xsl:if>
           </div>
@@ -48,5 +48,10 @@
                   </xsl:call-template>
                 </xsl:attribute>
-                <xsl:text>Prev</xsl:text>
+                <xsl:attribute name="title">
+                  <xsl:value-of select="$prev/title"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'prev'"/>
+                </xsl:call-template>
               </a>
             </li>
@@ -60,5 +65,10 @@
                   </xsl:call-template>
                 </xsl:attribute>
-                <xsl:text>Next</xsl:text>
+                <xsl:attribute name="title">
+                  <xsl:value-of select="$next/title"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'next'"/>
+                </xsl:call-template>
               </a>
             </li>
@@ -72,5 +82,10 @@
                   </xsl:call-template>
                 </xsl:attribute>
-                <xsl:text>Up</xsl:text>
+                <xsl:attribute name="title">
+                  <xsl:apply-templates select="$up" mode="object.title.markup"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'up'"/>
+                </xsl:call-template>
               </a>
             </li>
@@ -83,5 +98,12 @@
                 </xsl:call-template>
               </xsl:attribute>
-              <xsl:text>Home</xsl:text>
+                <xsl:attribute name="title">
+                  <xsl:value-of select="$home/bookinfo/title"/>
+                  <xsl:text> - </xsl:text>
+                  <xsl:value-of select="$home/bookinfo/subtitle"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'home'"/>
+                </xsl:call-template>
             </a>
           </li>
@@ -111,9 +133,11 @@
                   </xsl:call-template>
                 </xsl:attribute>
-                <xsl:text>Prev</xsl:text>
-              </a>
-              <p>
-                <xsl:apply-templates select="$prev" mode="object.title.markup"/>
-              </p>
+                <xsl:attribute name="title">
+                  <xsl:value-of select="$prev/title"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'prev'"/>
+                </xsl:call-template>
+              </a>
             </li>
           </xsl:if>
@@ -126,9 +150,11 @@
                   </xsl:call-template>
                 </xsl:attribute>
-                <xsl:text>Next</xsl:text>
-              </a>
-              <p>
-                <xsl:apply-templates select="$next" mode="object.title.markup"/>
-              </p>
+                <xsl:attribute name="title">
+                  <xsl:value-of select="$next/title"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'next'"/>
+                </xsl:call-template>
+              </a>
             </li>
           </xsl:if>
@@ -141,5 +167,10 @@
                   </xsl:call-template>
                 </xsl:attribute>
-                <xsl:text>Up</xsl:text>
+                <xsl:attribute name="title">
+                  <xsl:apply-templates select="$up" mode="object.title.markup"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'up'"/>
+                </xsl:call-template>
               </a>
             </li>
@@ -153,5 +184,12 @@
                   </xsl:call-template>
                 </xsl:attribute>
-                <xsl:text>Home</xsl:text>
+                <xsl:attribute name="title">
+                  <xsl:value-of select="$home/bookinfo/title"/>
+                  <xsl:text> - </xsl:text>
+                  <xsl:value-of select="$home/bookinfo/subtitle"/>
+                </xsl:attribute>
+                <xsl:call-template name="navig.content">
+                  <xsl:with-param name="direction" select="'home'"/>
+                </xsl:call-template>
               </a>
             </li>
